<?php
$corec = $_SERVER['DOCUMENT_ROOT'];
require_once $corec.'/sys/inc/core.php';
only_reg() ;


$op = isset($_GET['op']) ? $_GET['op'] : 'index' ;
switch ($op)
{
 default:
  exit ;
  break ;

 case ('index'):
  $klmn = isset($_SESSION['r2bNot']) ? $_SESSION['r2bNot']:
  null ;
  $set['title'] = 'Обмен рейтинга на баллы' ;
  require_once $corec.'/sys/inc/thead.php' ;
  title() ;
  echo "
    $klmn
    <div class='ankus'><b>У вас баллов</b>: $user[balls]<br />
    <b>У вас рейтинга</b>: $user[rating]<br />
    <hr>
    <b>Курс обмена</b>: 1 рейтинга = 7 баллов<br />
    <hr>
    Сколько хотите баллов?<br />
    <form method=\"post\" action=\"rate2balls.php?op=change\">
    <input type=\"text\" size=\"5\" maxlength=\"5\" name=\"ballsls\" /><br />
    <input type=\"submit\" value=\"Обменять\" />
    </form> 
   </div> " ;
  unset($_SESSION['r2bNot']) ;
  break ;

 case ('change'):
  $oprst = (int)$_GET['ballsls'] ;
  if (empty($oprst) || $oprst == 0)
  {
   $_SESSION['r2bNot'] = "Неверное значение в поле!<br />" ;
   header('Location: rate2balls.php') ;
   exit() ;
  }

  $nrate = $oprst * 7 ;
  if ($user['rating'] < $nrate)
  {
   $_SESSION['r2bNot'] = "У вас недостаточно рейтинга для обмена<br />" ;
   header('Location: rate2balls.php') ;
   exit() ;
  }

  mysql_query("UPDATE `user` SET `balls` = `balls` + $oprst , `rating` = `rating` - $nrate WHERE `id` = $user[id]") ;
  $_SESSION['r2bNot'] = "Обмен прошел успешно<br />" ;
  header('Location: rate2balls.php') ;
  exit() ;

  break ;

}

require_once $corec.'/sys/inc/tfoot.php' ;
?>